CREATE TABLE song
(
  id             MEDIUMINT(6)UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
  filename       TEXT NOT NULL,
  trackno        TINYINT(3)UNSIGNED NOT NULL DEFAULT 0,
  
  loopbegin      DECIMAL(12,2)UNSIGNED NOT NULL DEFAULT 0,
  length         DECIMAL(12,2)UNSIGNED NOT NULL DEFAULT 0
) TYPE=MYISAM;

CREATE TABLE song_channel
(
  songid         MEDIUMINT(6)UNSIGNED NOT NULL DEFAULT 0,
  channelid      TINYINT(3)UNSIGNED NOT NULL DEFAULT 0,
  
  reltrackdata      BLOB NOT NULL,
  abstrackdata      BLOB NOT NULL,
  
  PRIMARY KEY(songid,channelid)
) TYPE=MYISAM;

CREATE TABLE song_index
(
  songid         MEDIUMINT(6)UNSIGNED NOT NULL DEFAULT 0,
  channelid      TINYINT(3)UNSIGNED NOT NULL DEFAULT 0,
  offset         MEDIUMINT(6)UNSIGNED NOT NULL DEFAULT 0,
  
  musicpos       DECIMAL(12,2)UNSIGNED NOT NULL DEFAULT 0,

  reltrackdata      BLOB NOT NULL,               KEY dr(reltrackdata(8)),
  abstrackdata      VARCHAR(64) BINARY NOT NULL, KEY da(abstrackdata(8)),

  PRIMARY KEY(songid,channelid,offset)
) TYPE=MYISAM;
